!DLOAD検証用
!木材片持ち梁等分布プログラムの理論値算出用計算プログラム
implicit real*8(a-h, o-z)
b1=0.8d-1
h1=0.4d-1
ell=1.0d0
e=7.694d9!ヤング率
g=e/15d0!せん断弾性係数
dmenseki=b1*h1
dsaikamenseki=b1*ell !等分布荷重を載荷してるところの面積
pres=0.03d6 !「.dloで設定したpres」d6を入力
ptou=pres*dsaikamenseki
!木材部分断面2次モーメント
dnijimoku=b1*(h1**3)/12
!k
kga=(5*g*dmenseki)/6
!曲げ剛性
ei=dnijimoku*e
syotoymax=(ptou*ell**4)/(8*ei)!初等梁片持ち等分布たわみ最大値
timoksyotoymax=syotoymax+(ptou*ell**2)/(2*kga)!単位荷重
timokyou=syotoymax+(ptou*ell**2)/(kga)!境界値
print*,"断面積"
print*,dmenseki
print*,"曲げ剛性"
print*,ei
print*,"初等梁片持ち等分布理論値max"
print*,syotoymax
print*,"ティモ片持ち等分布単位荷重(2kGA)"
print*,timoksyotoymax
print*,"ティモ片持ち等分布境界値(kGA)"
print*,timokyou
end
